semilimes mcu sdk 1.1.4 semilimes Software Development Kit for microcontrollers

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
DcTileView Class Reference

## Public Member Functions
| ~DcTileView ()
void | set (int grid)
void | addColorTile (const char *refName, const char *title, int row, int rowSpan, int col, int colSpan, const char *color, const char *action, const char *arg1, const char *arg2="", bool arg3=false)
void | addIconTile (const char *refName, const char *title, int row, int rowSpan, int col, int colSpan, const char *iconName, const char *iconColor, const char *backgroundColor, const char *action, const char *arg1, const char *arg2="", bool arg3=false)
void | addPhotoTile (const char *refName, const char *title, int row, int rowSpan, int col, int colSpan, const char *uuid, const char *action, const char *arg1, const char *arg2="", bool arg3=false)
void | addPhotoUrlTile (const char *refName, const char *title, int row, int rowSpan, int col, int colSpan, const char *photoUrl, const char *action, const char *arg1, const char *arg2="", bool arg3=false)
void | addWebUrlTile (const char *refName, const char *title, int row, int rowSpan, int col, int colSpan, const char *url, const char *action, const char *arg1, const char *arg2="", bool arg3=false)
void | addLiveWebUrlTile (const char *refName, const char *title, int row, int rowSpan, int col, int colSpan, const char *url, const char *action, const char *arg1, const char *arg2="", bool arg3=false)
void | addResourceTile (const char *refName, const char *title, int row, int rowSpan, int col, int colSpan, const char *resourceId, const char *subPath, const char *action, const char *arg1, const char *arg2="", bool arg3=false)
void | addSlideshowTile (const char *refName, const char *title, int row, int rowSpan, int col, int colSpan, const char *action, const char *arg1, const char *arg2="", bool arg3=false)
void | addFormTile (const char *refName, const char *title, int row, int rowSpan, int col, int colSpan, const char *form, const char *action, const char *arg1, const char *arg2="", bool arg3=false)
void | appendTiles ()
char * | get ()

## Public Attributes
char | actionType [5][13] = {"opentile", "openurl", "openbucket", "openresource", "response"}

## Constructor & Destructor Documentation

## ◆ ~DcTileView()

DcTileView::~DcTileView | ( |  | ) |
| inline

Returns
  void

## Member Function Documentation

## ◆ addColorTile()

void DcTileView::addColorTile | ( | const char * | refName,
|  | const char * | title,
|  | int | row,
|  | int | rowSpan,
|  | int | col,
|  | int | colSpan,
|  | const char * | color,
|  | const char * | action,
|  | const char * | arg1,
|  | const char * | arg2 = "",
|  | bool | arg3 = false )

Parameters

  refName | - defines an internal custom reference name to identify the tile for further updates
  title | - defines a display title to show at the bottom of the tile itself
  row | - the row position of the tile
  rowSpan | - the row span of the tile
  col | - the column position of the tile
  colSpan | - the column span of the tile
  color | - the tile color
  action | - defines the type of action performed upon clicking on the tile. char actionType[5][13] = {"opentile", "openurl", "openbucket", "openresource", "response"};
  arg1 | - it depends on the selected action. It could be: dataComponents(opentile), webUrl(openurl), bucketId(openbucket), resourceId(openresource) or responseTemplateId(response)
  arg2 | - it depends on the selected action. It could be: subPath(openresource) or receiverId(response)
  arg3 | - openInForeground(response)

Returns
  void

## ◆ addFormTile()

void DcTileView::addFormTile | ( | const char * | refName,
|  | const char * | title,
|  | int | row,
|  | int | rowSpan,
|  | int | col,
|  | int | colSpan,
|  | const char * | form,
|  | const char * | action,
|  | const char * | arg1,
|  | const char * | arg2 = "",
|  | bool | arg3 = false )

Parameters

  refName | - defines an internal custom reference name to identify the tile for further updates
  title | - defines a display title to show at the bottom of the tile itself
  row | - the row position of the tile
  rowSpan | - the row span of the tile
  col | - the col position of the tile
  colSpan | - the column span of the tile
  form | - the form json to embed
  action | - defines the type of action performed upon clicking on the tile. char actionType[5][13] = {"opentile", "openurl", "openbucket", "openresource", "response"};
  arg1 | - it depends on the selected action. It could be: dataComponents(opentile), webUrl(openurl), bucketId(openbucket), resourceId(openresource) or responseTemplateId(response)
  arg2 | - it depends on the selected action. It could be: subPath(openresource) or receiverId(response)
  arg3 | - openInForeground(response)

Returns
  void

## ◆ addIconTile()

void DcTileView::addIconTile | ( | const char * | refName,
|  | const char * | title,
|  | int | row,
|  | int | rowSpan,
|  | int | col,
|  | int | colSpan,
|  | const char * | iconName,
|  | const char * | iconColor,
|  | const char * | backgroundColor,
|  | const char * | action,
|  | const char * | arg1,
|  | const char * | arg2 = "",
|  | bool | arg3 = false )

Parameters

  refName | - defines an internal custom reference name to identify the tile for further updates
  title | - defines a display title to show at the bottom of the tile itself
  row | - the row position of the tile
  rowSpan | - the row span of the tile
  col | - the row position of the tile
  colSpan | - the column span of the tile
  iconName | - the name of the icon
  iconColor | - the color of the icon
  backgroundColor | - the background color of the icon
  action | - defines the type of action performed upon clicking on the tile. char actionType[5][13] = {"opentile", "openurl", "openbucket", "openresource", "response"};
  arg1 | - it depends on the selected action. It could be: dataComponents(opentile), webUrl(openurl), bucketId(openbucket), resourceId(openresource) or responseTemplateId(response)
  arg2 | - it depends on the selected action. It could be: subPath(openresource) or receiverId(response)
  arg3 | - openInForeground(response)

Returns
  void

## ◆ addLiveWebUrlTile()

void DcTileView::addLiveWebUrlTile | ( | const char * | refName,
|  | const char * | title,
|  | int | row,
|  | int | rowSpan,
|  | int | col,
|  | int | colSpan,
|  | const char * | url,
|  | const char * | action,
|  | const char * | arg1,
|  | const char * | arg2 = "",
|  | bool | arg3 = false )

Parameters

  refName | - defines an internal custom reference name to identify the tile for further updates
  title | - defines a display title to show at the bottom of the tile itself
  row | - the row position of the tile
  rowSpan | - the row span of the tile
  col | - the col position of the tile
  colSpan | - the column span of the tile
  url | - the web url
  action | - defines the type of action performed upon clicking on the tile. char actionType[5][13] = {"opentile", "openurl", "openbucket", "openresource", "response"};
  arg1 | - it depends on the selected action. It could be: dataComponents(opentile), webUrl(openurl), bucketId(openbucket), resourceId(openresource) or responseTemplateId(response)
  arg2 | - it depends on the selected action. It could be: subPath(openresource) or receiverId(response)
  arg3 | - openInForeground(response)

Returns
  void

## ◆ addPhotoTile()

void DcTileView::addPhotoTile | ( | const char * | refName,
|  | const char * | title,
|  | int | row,
|  | int | rowSpan,
|  | int | col,
|  | int | colSpan,
|  | const char * | uuid,
|  | const char * | action,
|  | const char * | arg1,
|  | const char * | arg2 = "",
|  | bool | arg3 = false )

Parameters

  refName | - defines an internal custom reference name to identify the tile for further updates
  title | - defines a display title to show at the bottom of the tile itself
  row | - the row position of the tile
  rowSpan | - the row span of the tile
  col | - the col position of the tile
  colSpan | - the column span of the tile
  uuid | - the uuid of the photo file
  action | - defines the type of action performed upon clicking on the tile. char actionType[5][13] = {"opentile", "openurl", "openbucket", "openresource", "response"};
  arg1 | - it depends on the selected action. It could be: dataComponents(opentile), webUrl(openurl), bucketId(openbucket), resourceId(openresource) or responseTemplateId(response)
  arg2 | - it depends on the selected action. It could be: subPath(openresource) or receiverId(response)
  arg3 | - openInForeground(response)

Returns
  void

## ◆ addPhotoUrlTile()

void DcTileView::addPhotoUrlTile | ( | const char * | refName,
|  | const char * | title,
|  | int | row,
|  | int | rowSpan,
|  | int | col,
|  | int | colSpan,
|  | const char * | photoUrl,
|  | const char * | action,
|  | const char * | arg1,
|  | const char * | arg2 = "",
|  | bool | arg3 = false )

Parameters

  refName | - defines an internal custom reference name to identify the tile for further updates
  title | - defines a display title to show at the bottom of the tile itself
  row | - the row position of the tile
  rowSpan | - the row span of the tile
  col | - the col position of the tile
  colSpan | - the column span of the tile
  photoUrl | - the url of the photo
  action | - defines the type of action performed upon clicking on the tile. char actionType[5][13] = {"opentile", "openurl", "openbucket", "openresource", "response"};
  arg1 | - it depends on the selected action. It could be: dataComponents(opentile), webUrl(openurl), bucketId(openbucket), resourceId(openresource) or responseTemplateId(response)
  arg2 | - it depends on the selected action. It could be: subPath(openresource) or receiverId(response)
  arg3 | - openInForeground(response)

Returns
  void

## ◆ addResourceTile()

void DcTileView::addResourceTile | ( | const char * | refName,
|  | const char * | title,
|  | int | row,
|  | int | rowSpan,
|  | int | col,
|  | int | colSpan,
|  | const char * | resourceId,
|  | const char * | subPath,
|  | const char * | action,
|  | const char * | arg1,
|  | const char * | arg2 = "",
|  | bool | arg3 = false )

Parameters

  refName | - defines an internal custom reference name to identify the tile for further updates
  title | - defines a display title to show at the bottom of the tile itself
  row | - the row position of the tile
  rowSpan | - the row span of the tile
  col | - the col position of the tile
  colSpan | - the column span of the tile
  resourceId | - property takes a resource Id or a tunnel Id to be accessed.
  subPath | - is for appending additional navigation to the main URL of the resource. Example: "/dashboard"
  action | - defines the type of action performed upon clicking on the tile. char actionType[5][13] = {"opentile", "openurl", "openbucket", "openresource", "response"};
  arg1 | - it depends on the selected action. It could be: dataComponents(opentile), webUrl(openurl), bucketId(openbucket), resourceId(openresource) or responseTemplateId(response)
  arg2 | - it depends on the selected action. It could be: subPath(openresource) or receiverId(response)
  arg3 | - openInForeground(response)

Returns
  void

## ◆ addSlideshowTile()

void DcTileView::addSlideshowTile | ( | const char * | refName,
|  | const char * | title,
|  | int | row,
|  | int | rowSpan,
|  | int | col,
|  | int | colSpan,
|  | const char * | action,
|  | const char * | arg1,
|  | const char * | arg2 = "",
|  | bool | arg3 = false )

Parameters

  refName | - defines an internal custom reference name to identify the tile for further updates
  title | - defines a display title to show at the bottom of the tile itself
  row | - the row position of the tile
  rowSpan | - the row span of the tile
  col | - the col position of the tile
  colSpan | - the column span of the tile
  action | - defines the type of action performed upon clicking on the tile. char actionType[5][13] = {"opentile", "openurl", "openbucket", "openresource", "response"};
  arg1 | - it depends on the selected action. It could be: dataComponents(opentile), webUrl(openurl), bucketId(openbucket), resourceId(openresource) or responseTemplateId(response)
  arg2 | - it depends on the selected action. It could be: subPath(openresource) or receiverId(response)
  arg3 | - openInForeground(response)

Returns
  void

## ◆ addWebUrlTile()

void DcTileView::addWebUrlTile | ( | const char * | refName,
|  | const char * | title,
|  | int | row,
|  | int | rowSpan,
|  | int | col,
|  | int | colSpan,
|  | const char * | url,
|  | const char * | action,
|  | const char * | arg1,
|  | const char * | arg2 = "",
|  | bool | arg3 = false )

Parameters

  refName | - defines an internal custom reference name to identify the tile for further updates
  title | - defines a display title to show at the bottom of the tile itself
  row | - the row position of the tile
  rowSpan | - the row span of the tile
  col | - the col position of the tile
  colSpan | - the column span of the tile
  url | - the web url
  action | - defines the type of action performed upon clicking on the tile. char actionType[5][13] = {"opentile", "openurl", "openbucket", "openresource", "response"};
  arg1 | - it depends on the selected action. It could be: dataComponents(opentile), webUrl(openurl), bucketId(openbucket), resourceId(openresource) or responseTemplateId(response)
  arg2 | - it depends on the selected action. It could be: subPath(openresource) or receiverId(response)
  arg3 | - openInForeground(response)

Returns
  void

## ◆ appendTiles()

void DcTileView::appendTiles | ( |  | ) |

Returns
  void

## ◆ get()

char * DcTileView::get | ( |  | ) |

Returns
  char*

## ◆ set()

void DcTileView::set | ( | int | grid | ) |

Parameters

  row | - The tile view grid has N rows and 4 columns. The row and column indexes start from 0, and they are defined under the following display matrix (example: 0 1 means row0, col1):

Returns
  void

## Member Data Documentation

## ◆ actionType

char DcTileView::actionType[5][13] = {"opentile", "openurl", "openbucket", "openresource", "response"}

Parameters

  char | actionType[5][13] = {"opentile", "openurl", "openbucket", "openresource", "response"};

The documentation for this class was generated from the following files:

- C:/Users/flavio_unige/Desktop/semilimes/sdk/semilimes MCU SDK/github/semilimes_mcu_sdk/src/components/dc_tile_view.h
- C:/Users/flavio_unige/Desktop/semilimes/sdk/semilimes MCU SDK/github/semilimes_mcu_sdk/src/components/dc_tile_view.cpp